Bug 1598 - SP2 for XP breaks printer admin stuff?
SP2 for XP breaks printer admin stuff?
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.5
x86 Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-10 13:26 UTC by david-schlenk
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description david-schlenk 2004-08-10 13:26:12 UTC
I've had some issues with SP2-final for XP installed doing printing stuff as an
admin user (mapped to root) with samba 3.0.5. 

[Checked the list archives and haven't seen any talk about this, other than a
mention by Jerry that samba had a bug and MS had a bug back in July in regards
to SP2 RC2, but assumed those were taken care of?]

Basically if I try to connect to printers as a user that's an admin (mapped to
root) on those printers it'll work for the first couple printers I connect to
but then I get "Failed to connect, retrying" on the windows client side and
Signal 11 errors in the log file: 
 
 [2004/08/10 11:58:05, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/08/10 11:58:05, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 7692 (3.0.5)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/08/10 11:58:05, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/08/10 11:58:05, 0] lib/util.c:smb_panic2(1398)
  PANIC: internal error
[2004/08/10 11:58:05, 0] lib/util.c:smb_panic2(1406)
  BACKTRACE: 22 stack frames:
   #0 smbd(smb_panic2+0x128) [0x81cf188]
   #1 smbd(smb_panic+0x19) [0x81cf059]
   #2 smbd [0x81bd1b2]
   #3 /lib/tls/libc.so.6 [0x420277b8]
   #4 smbd(_spoolss_rfnpcnex+0x16a) [0x8128c2a]
   #5 smbd [0x811d69e]
   #6 smbd(api_rpcTNP+0x159) [0x81511f9]
   #7 smbd(api_pipe_request+0xaf) [0x8150fbf]
   #8 smbd [0x814a4c6]
   #9 smbd [0x814a819]
   #10 smbd [0x814aa5b]
   #11 smbd [0x814ac5c]
   #12 smbd(write_to_pipe+0xf2) [0x814abb2]
   #13 smbd [0x808ab5e]
   #14 smbd(reply_trans+0x54b) [0x808b52b]
   #15 smbd [0x80cdab4]
   #16 smbd [0x80cdca9]
   #17 smbd(process_smb+0x8f) [0x80cdebf]
   #18 smbd(smbd_process+0x167) [0x80ceb07]
   #19 smbd(main+0x4d9) [0x823df19]
   #20 /lib/tls/libc.so.6(__libc_start_main+0xe4) [0x42015704]
   #21 smbd(chroot+0x31) [0x8077af1]

I've uninstalled SP2 and things are working again.  I'm getting a test SP2 box
together to gather more info.  My suspicion is that it only happens for users
trying to be mapped to root.

RH9, joined to a AD domain RPC style, if that matters.
Comment 1 Gerald (Jerry) Carter 2004-08-10 14:01:45 UTC
already fixed in 3.0.6rc2
Comment 2 david-schlenk 2004-08-18 13:05:16 UTC
(In reply to comment #1)
> already fixed in 3.0.6rc2

OK, tested with 3.0.6rc2 and while the queue errors (Failed to connect,
retrying) are gone, on the "Printers and Faxes on XXXX" admin control panel the
queues all disappear and then reappear every 10 seconds, seemingly corresponding
to log messages like: 

print cache expired for queue bulref (last_qscan_time = 1092841049, time now =
1092841071, qcachetime = 10)

This isn't a big deal on a rather fast machine, but on my PIII 550 it makes
admining drivers quite difficult as I often can't find the queue I need to
change fast enough before they disappear and reappear again.  Am I missing a
setting/new feature somewhere? 
Comment 3 Gerald (Jerry) Carter 2004-08-19 06:23:38 UTC
set the 'lpq cache time' to a higher value if you like.  The 
refreshing problem is due to MS's bug in SP2.  We can't change 
that.  The original bug is fixed so I'm closing this.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:18:58 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.